Bug 886268

Summary: [abrt] yelp-3.6.2-1.fc18: yelp_uri_get_query: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Dean Hunter <deanhunter>
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: holmja, ilya.gradina, jfrieben, kmaraas, lf6648, mbarnes, mikethepsych, moez.roy, mothlight, samuel-rhbugs, satellitgo, unixi, williamjmorenor
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:172f72be8673da8ed9f981d122f35b4a66eb66a8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1067466 (view as bug list) Environment:
Last Closed: 2015-01-09 17:08:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Dean Hunter 2012-12-11 17:39:20 EST
Version-Release number of selected component:
yelp-3.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        yelp help:gnome-terminal
crash_function: yelp_uri_get_query
executable:     /usr/bin/yelp
kernel:         3.6.9-4.fc18.x86_64
remote_result:  821231
uid:            247400001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 yelp_uri_get_query at yelp-uri.c:503
 #1 view_document_loaded at yelp-view.c:1489
 #2 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
 #3 _g_closure_invoke_va at gclosure.c:840
 #5 g_signal_emit_by_name at gsignal.c:3393
 #6 WebCore::FrameLoader::finishedParsing at /lib64/libwebkitgtk-3.0.so.0
 #7 WebCore::FrameLoader::stopLoading at /lib64/libwebkitgtk-3.0.so.0
 #8 WebCore::DocumentLoader::stopLoading at /lib64/libwebkitgtk-3.0.so.0
 #9 WebCore::FrameLoader::stopAllLoaders at /lib64/libwebkitgtk-3.0.so.0
 #10 WebCore::FrameLoader::stopForUserCancel at /lib64/libwebkitgtk-3.0.so.0

Potential duplicate: bug 821231
Comment 1 Dean Hunter 2012-12-11 17:39:41 EST
Created attachment 661736 [details]
File: backtrace
Comment 2 Dean Hunter 2012-12-11 17:39:56 EST
Created attachment 661737 [details]
File: cgroup
Comment 3 Dean Hunter 2012-12-11 17:39:57 EST
Created attachment 661738 [details]
File: core_backtrace
Comment 4 Dean Hunter 2012-12-11 17:39:59 EST
Created attachment 661739 [details]
File: dso_list
Comment 5 Dean Hunter 2012-12-11 17:40:00 EST
Created attachment 661740 [details]
File: environ
Comment 6 Dean Hunter 2012-12-11 17:40:02 EST
Created attachment 661741 [details]
File: limits
Comment 7 Dean Hunter 2012-12-11 17:40:03 EST
Created attachment 661742 [details]
File: maps
Comment 8 Dean Hunter 2012-12-11 17:40:05 EST
Created attachment 661743 [details]
File: open_fds
Comment 9 Dean Hunter 2012-12-11 17:40:06 EST
Created attachment 661744 [details]
File: proc_pid_status
Comment 10 Dean Hunter 2012-12-11 17:40:08 EST
Created attachment 661745 [details]
File: var_log_messages
Comment 11 Kjartan Maraas 2012-12-19 08:28:21 EST
Accidentally hit F1 in gnome-terminal and then closed the window with alt-f4 as soon as it showed up.

backtrace_rating: 4
Package: yelp-3.6.2-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 12 Joachim Frieben 2013-08-03 06:04:53 EDT
Issue also occurs right now for yelp-3.8.1-5.fc19 on a fully updated Fedora 19 system.
Comment 13 Moez Roy 2013-08-28 03:06:32 EDT
just booted live cd

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        yelp --dont-steal-focus help:gnome-help/getting-started
crash_function: yelp_uri_get_query
executable:     /usr/bin/yelp
kernel:         3.9.5-301.fc19.x86_64
package:        yelp-3.8.1-5.fc19
reason:         Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 14 satellitgo 2013-12-21 21:44:28 EST
Help crashed in default neinstall of desktop. First boot.
Comment 15 James Boyle 2014-04-04 09:18:18 EDT
Opened yelp by accidentally hitting function keys within mate-terminal.

It was busy loading something when I clicked the "X" to close the program.

ABRT let me know something went wrong.

yelp-3.10.1-1.fc20.x86_64
Comment 16 Samuel Sieb 2014-05-12 03:22:54 EDT
Seems to be caused by closing yelp before it's fully loaded.
I regularly trigger this by closing the window that opens right after gnome-initial-setup (I think that's what it's called).
Comment 17 Fedora End Of Life 2015-01-09 17:02:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.